closing {EBImage} | R Documentation

## Morphological operations on images

### Description

Functions to perform morphological operations on binary images.

### Usage

      ## S4 method for signature 'Image':
      dilate(x, kern=morphKern(5), iter=1, ...)
      ## S4 method for signature 'Image':
      erode(x, kern=morphKern(5), iter=1, ...)
      ## S4 method for signature 'Image':
      opening(x, kern=morphKern(5), iter=1, ...)
      ## S4 method for signature 'Image':
      closing(x, kern=morphKern(5), iter=1, ...)

      morphKern(size=5, shape="round")

### Arguments

`x` | An object of `Image`. `x` should be a binary image in the `Grayscale` mode. If image is not binary, all non-zero pixels will be considered as 1 to turn the image into a binary `{0,1}` image.
`kern` | Kernel mask matrix.
`iter` | Number of iterations.
`size, shape` | Kernel matrix size and shape.
`...` | Reserved.

### Details

`morphKern` can be used to generate a kernel matrix for the use with any of the morphological operators. The function can generate round and square kernels of odd size, e.g. 5, 7, 9 etc. Even sizes are not supported because the location of the centre pixel is undefined. Kernels can be altered in any desired way, this is just a convenience function.

`erode` applies the mask positioning its centre over every background pixel (0), every pixel which is not covered by the mask is reset to foreground (1). In this way image features grow in size.

`dilate` applies the mask positioning its centre over every foreground pixel (1), every pixel which is not covered by the mask is reset to background (0). In this way image features seem shrink in size.

`opening` is erosion followed by dilation and `closing` is dilation followed by erosion.

### Value

A transformed image in an object of `Image`.
`morphKern` returns a square matrix of 0 and 1 of a given size.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2006

### References

ImageMagick: http://www.imagemagick.org.

### See Also

`Image, thresh, segment`

### Examples

      ## see example(propagate)

[Package EBImage version 2.6.0 Index]